Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## Package javax.jcr.query

Content Repository API for Java (JCR 1.0) query

See:
Description

Interface Summary
Query: A `Query` object.
QueryManager: This interface encapsulates methods for the management of search queries.
QueryResult: A QueryResult object.
Row: A row in the query result table.
RowIterator

Exception Summary
InvalidQueryException: Thrown by methods of `Query`.

## Package javax.jcr.query Description

Content Repository API for Java (JCR 1.0) query

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2004-2005 Day Software Management AG. All Rights Reserved.